<template>
  <div class="fr-container fr-p-5w">
    <TheHeader title="Accompagnements" />
    <div class="fr-grid-row fr-grid-row--gutters">
      <div class="fr-col-12">
        <main
          ref="tabsGroup"
          class="main-container fr-tabs"
        >
          <ul
            class="fr-tabs__list"
            role="tablist"
            aria-label="Accompagnements"
          >
            <li role="presentation">
              <button
                id="interviews-tab"
                class="fr-tabs__tab"
                tabindex="0"
                role="tab"
                aria-selected="true"
                aria-controls="interviews-panel"
              >
                Entretiens
              </button>
            </li>
            <li role="presentation">
              <button
                id="help-requests-tab"
                class="fr-tabs__tab"
                tabindex="0"
                role="tab"
                aria-selected="true"
                aria-controls="help-requests-panel"
              >
                Demandes d'aide
              </button>
            </li>
          </ul>

          <div
            id="interviews-panel"
            class="fr-tabs__panel fr-tabs__panel--selected fr-px-0"
            role="tabpanel"
            aria-labelledby="interviews-tab"
            tabindex="0"
          >
            <InterviewsTable />
          </div>
          <div
            id="help-requests-panel"
            class="fr-tabs__panel fr-tabs__panel--selected fr-px-0"
            role="tabpanel"
            aria-labelledby="help-requests-tab"
            tabindex="0"
          >
            <HelpRequestsTable />
          </div>
        </main>
      </div>
    </div>
  </div>
</template>

<script setup>
  import { focusTab } from '~/utils/tab'
  import {
    INTERVIEWS_TAB_ID,
    HELP_REQUESTS_TAB_ID
  } from '~/utils/constants/history'

  const INDEXED_TAB_IDS = [INTERVIEWS_TAB_ID, HELP_REQUESTS_TAB_ID]
  const route = useRoute()

  const tabsGroup = ref(null)

  onMounted(async () => {
    await nextTick()
    const { tab } = route.query
    if (tab) focusTab(tab, tabsGroup.value, INDEXED_TAB_IDS)
    else focusTab(INTERVIEWS_TAB_ID, tabsGroup.value, INDEXED_TAB_IDS)
  })
</script>

<style scoped>
  #interviews-tab {
    color: var(--color-interview);
  }

  #interviews-tab[aria-selected='true'] {
    border-color: var(--color-interview);
  }

  #help-requests-tab {
    color: var(--color-help-request);
  }

  #help-requests-tab[aria-selected='true'] {
    border-color: var(--color-help-request);
  }
</style>
